Bug 479787 - DMA issue for IDE mode of SATA HDD (HDIO_SET_failed)
DMA issue for IDE mode of SATA HDD (HDIO_SET_failed)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 21:37 EST by Lin Avator
Modified: 2009-08-11 17:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 17:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HDIO_SET_DMA failed (63.97 KB, image/png)
2009-01-12 21:39 EST, Lin Avator
no flags Details

  None (edit)
Description Lin Avator 2009-01-12 21:37:32 EST
Description of problem:

   On our Tylersburg platform, we encounter the IDE DMA problem for RHEL5.2 x86_64. The steps to reproduce are listed as below.

1. attach SATA HDD, and configure BIOS to take it as IDE mode
2. install RHEL 5.2 x85_64
3. check the HDD DMA status by "hdparm /dev/hda" command, it shows that DMA is not enable
4. enable DMA by "hdparm -d 1 /dev/hda", but shows error message as "HDIO_SET_failed: Operation not permitted"

   ( The screen is captured and saved in attachment. )

   Since our Tylersburg platform can not enable DMA in IDE mode, the system got very slow. How could we solve this problem ?
Comment 1 Lin Avator 2009-01-12 21:39:23 EST
Created attachment 328814 [details]
HDIO_SET_DMA failed
Comment 2 Anton Arapov 2009-01-13 10:16:50 EST
Please, try to enable the Legacy mode for ATA/IDE in your BIOS and
attach the output of the hdparm -I /dev/hda for the both cases.

Note You need to log in before you can comment on or make changes to this bug.